//
//  Created by Gerard Briscoe on 10/08/2007.
//	Released under GPL.
//

import java.util.Locale;
import java.util.ResourceBundle;
import java.util.*;
import java.io.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;
import java.awt.Color;
import java.awt.event.*;
import javax.swing.*;
import java.lang.*;
import com.apple.eawt.*;
import com.Ostermiller.util.*;


class StreamGobbler extends Thread
{
    InputStream is;
    String type;
    OutputStream os;
    
    StreamGobbler(InputStream is, String type)
    {
        this(is, type, null);
    }
    StreamGobbler(InputStream is, String type, OutputStream redirect)
    {
        this.is = is;
        this.type = type;
        this.os = redirect;
    }
    
    public void run()
    {
        try
        {
            PrintWriter pw = null;
            if (os != null)
                pw = new PrintWriter(os);
                
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String line=null;
            while ( (line = br.readLine()) != null)
            {
                if (pw != null)
                    pw.println(line);
                System.out.println(type + ">" + line);    
            }
            if (pw != null)
                pw.flush();
        } catch (IOException ioe)
            {
            ioe.printStackTrace();  
            }
    }
}



public class ChangeMAC extends JFrame implements ActionListener, MouseListener {

	private Font font = new Font("serif", Font.ITALIC+Font.BOLD, 36);
	protected ResourceBundle resbundle;
	protected AboutBox aboutBox;
	protected PrefPane prefs;
	private Application fApplication = Application.getApplication();
	protected Action newAction, openAction, closeAction, saveAction, saveAsAction,
					 undoAction, cutAction, copyAction, pasteAction, clearAction, selectAllAction;
	static final JMenuBar mainMenuBar = new JMenuBar();	
	protected JMenu fileMenu, editMenu; 
	

	int RELATED = org.jdesktop.layout.LayoutStyle.RELATED;
	int DEFAULT_SIZE = org.jdesktop.layout.GroupLayout.DEFAULT_SIZE;
	int PREFERRED_SIZE = org.jdesktop.layout.GroupLayout.PREFERRED_SIZE;
	int LEADING = org.jdesktop.layout.GroupLayout.LEADING;
	int BASELINE = org.jdesktop.layout.GroupLayout.BASELINE;
	int TRAILING = org.jdesktop.layout.GroupLayout.TRAILING;	
		
    JButton eGenerate = new JButton("Generate Address");
    JButton eSet = new JButton("Set New Address");
    JButton aGenerate = new JButton("Generate Address");
    JButton aSet = new JButton("Set New Address");
    JComponent eInterface;
    JLabel a00 = new JLabel("00:");
    JLabel aInterface = new JLabel();
    JLabel eNetInterface = new JLabel("Networking Interface");
    JLabel eHwMacAdd = new JLabel("Hardware MAC Address");
    JLabel eCurMacAdd = new JLabel("Current MAC Address");
    JLabel eNewMacAdd = new JLabel("New MAC Address");
    JLabel aNetInterface = new JLabel("Networking Interface");
    JLabel aHwMacAdd = new JLabel("Hardware MAC Address");
    JLabel aCurMacAdd = new JLabel("Current MAC Address");
    JLabel aNewMacAdd = new JLabel("New MAC Address");
    JPanel wired = new JPanel();
    JPanel wireless = new JPanel();
    JTabbedPane tabbedPane = new JTabbedPane();
    JLabel eHwMacAddVal = new JLabel("00:00:00:00:00:00");
    JLabel eCurMacAddVal = new JLabel("00:00:00:00:00:00");
    JTextField eNewMacAddVal = new JTextField("00:00:00:00:00:00", 10);
    JLabel aHwMacAddVal = new JLabel("00:00:00:00:00:00");
    JLabel aCurMacAddVal = new JLabel("00:00:00:00:00:00");
    JTextField aNewMacAddVal = new JTextField("00:00:00:00:00:00", 10);
	String[] eInterfaces;
	String[] eHwMacAddVals;
	String[] eCurMacAddVals;

    String[] vendorIDalpha = {"Choose a specific vendor prefix...", "00:01:02 - 3COM CORPORATION", "00:01:03 - 3COM CORPORATION", "00:00:23 - ABB INDUSTRIAL SYSTEMS AB", "00:00:76 - ABEKAS VIDEO SYSTEM", "00:00:E8 - ACCTON TECHNOLOGY CORP.", "00:01:24 - Acer Incorporated", "00:00:E2 - ACER TECHNOLOGIES CORP.", "00:00:A4 - ACORN COMPUTERS LIMITED", "00:00:D1 - ADAPTEC INCORPORATED", "00:00:4A - ADC CODENOLL TECHNOLOGY CORP.", "00:00:71 - ADRA SYSTEMS INC.", "00:01:7E - ADTEK System Science Co., Ltd.", "00:01:4F - ADTRAN INC", "00:00:1A - ADVANCED MICRO DEVICES", "00:01:7C - AG:E GmbH", "00:01:65 - AirSwitch Corporation", "00:01:6A - ALITEC", "00:01:71 - Allied Data Technologies", "00:00:F4 - ALLIED TELESYN INTERNATIONAL", "00:00:CD - Allied Telesyn Research Ltd.", "00:00:8C - Alloy Computer Products", "00:01:85 - Aloka Co., Ltd.", "00:00:B1 - ALPHA MICROSYSTEMS INC.", "00:00:C8 - ALTOS COMPUTER SYSTEMS", "00:01:73 - AMCC", "00:00:9F - AMERISTAR TECHNOLOGIES INC.", "00:00:7C - AMPERE INCORPORATED", "00:00:4E - AMPEX CORPORATION", "00:01:83 - ANITE TELECOMS", "00:00:FE - ANNAPOLIS MICRO SYSTEMS", "00:00:91 - ANRITSU CORPORATION", "00:01:80 - AOpen, Inc.", "00:00:40 - APPLICON, INC.", "00:00:19 - APPLIED DYNAMICS INTERNATIONAL", "00:00:F6 - APPLIED MICROSYSTEMS CORP.", "00:00:49 - APRICOT COMPUTERS, LTD", "00:00:ED - APRIL", "00:00:E6 - APTOR PRODUITS DE COMM INDUST", "00:01:2C - Aravox Technologies, Inc.", "00:01:53 - ARCHTEK TELECOM CORPORATION", "00:00:C7 - ARIX CORPORATION", "00:00:CA - ARRIS International", "00:00:6E - ARTISOFT, INC.", "00:00:94 - ASANTE TECHNOLOGIES", "00:01:3E - Ascom Tateco AB", "00:00:36 - ATARI CORPORATION", "00:00:DA - ATEX", "00:01:8D - AudeSi Technologies", "00:00:3C - AUSPEX SYSTEMS INC.", "00:00:2C - AUTOTOTE LIMITED", "00:01:08 - AVLAB Technology, Inc.", "00:00:63 - BARCO CONTROL ROOMS GMBH", "00:00:81 - BAY NETWORKS", "00:00:A2 - BAY NETWORKS", "00:01:05 - BECKHOFF GmbH", "00:00:DF - BELL & HOWELL PUB SYS DIV", "00:00:1C - BELL TECHNOLOGIES", "00:01:4C - Berkeley Process Control", "00:01:5E - BEST TECHNOLOGY CO., LTD.", "00:01:3B - BNA SYSTEMS", "00:01:0E - Bri:Link Technologies Co., Ltd", "00:00:DB - BRITISH TELECOMMUNICATIONS PLC", "00:00:AD - BRUKER INSTRUMENTS INC.", "00:00:62 - BULL HN INFORMATION SYSTEMS", "00:01:41 - CABLE PRINT", "00:00:1D - CABLETRON SYSTEMS, INC.", "00:01:5C - CADANT INC.", "00:00:13 - CAMEX", "00:00:FF - CAMTEC ELECTRONICS LTD.", "00:01:17 - CANAL +", "00:00:85 - CANON INC.", "00:01:94 - Capital Equipment Corporation", "00:01:6D - CarrierComm Inc.", "00:00:44 - CASTELLE CORPORATION", "00:00:89 - CAYMAN SYSTEMS INC.", "00:01:69 - Celestix Networks Pte Ltd.", "00:01:1D - Centillium Communications", "00:00:DE - CETIA", "00:01:7A - Chengdu Maipu Electric Industrial", "00:01:52 - CHROMATEK INC.", "00:00:2D - CHROMATICS INC", "00:00:3A - CHYRON CORPORATION", "00:00:B3 - CIMLINC INCORPORATED", "00:01:0A - CIS TECHNOLOGY INC.", "00:00:0C - CISCO SYSTEMS, INC.", "00:01:42 - Cisco Systems, Inc.", "00:01:43 - Cisco Systems, Inc.", "00:01:63 - Cisco Systems, Inc.", "00:01:64 - Cisco Systems, Inc.", "00:01:96 - Cisco Systems, Inc.", "00:01:97 - Cisco Systems, Inc.", "00:00:7E - CLUSTRIX CORPORATION", "00:00:92 - COGENT DATA TECHNOLOGIES", "00:00:55 - COMMISSARIAT A L`ENERGIE ATOM.", "00:00:A5 - COMPATIBLE SYSTEMS CORP.", "00:00:CB - COMPU:SHACK ELECTRONIC GMBH", "00:00:53 - COMPUCORP", "00:00:6A - COMPUTER CONSOLES INC.", "00:00:88 - COMPUTER NETWORK TECH. CORP.", "00:00:69 - CONCORD COMMUNICATIONS INC", "00:01:6E - Conklin Corporation", "00:00:24 - CONNECT AS", "00:00:AC - CONWARE COMPUTER CONSULTING", "00:01:0D - CORECO, INC.", "00:00:80 - CRAY COMMUNICATIONS A/S", "00:00:6D - CRAY COMMUNICATIONS, LTD.", "00:00:2B - CRISP AUTOMATION, INC", "00:00:98 - CROSSCOMM CORPORATION", "00:00:8D - Cryptek Inc.", "00:00:5D - CS TELECOM", "00:00:38 - CSS LABS", "00:01:74 - CyberOptics Corporation", "00:01:36 - CyberTAN Technology, Inc.", "00:01:62 - Cygnet Technologies, Inc.", "00:00:7A - DANA COMPUTER INC.", "00:01:98 - Darim Vision", "00:00:D7 - DARTMOUTH COLLEGE", "00:00:AE - DASSAULT ELECTRONIQUE", "00:00:B5 - DATABILITY SOFTWARE SYS. INC.", "00:00:8A - DATAHOUSE INFORMATION SYSTEMS", "00:00:20 - DATAINDUSTRIER DIAB AB", "00:00:15 - DATAPOINT CORPORATION", "00:00:4D - DCI CORPORATION", "00:00:CC - DENSAN CO., LTD.", "00:01:31 - Detection Systems, Inc.", "00:00:D0 - DEVELCON ELECTRONICS LTD.", "00:01:29 - DFI Inc.", "00:00:F5 - DIAMOND SALES LIMITED", "00:01:82 - DICA TECHNOLOGIES AG", "00:01:5F - DIGITAL DESIGN GmbH", "00:01:23 - DIGITAL ELECTRONICS CORP.", "00:00:F8 - DIGITAL EQUIPMENT CORPORATION", "00:01:5A - Digital Video Broadcasting", "00:00:B7 - DOVE COMPUTER CORPORATION", "00:00:56 - DR. B. STRUCK", "00:01:32 - Dranetz : BMI", "00:00:16 - DU PONT PIXEL SYSTEMS.", "00:01:04 - DVICO Co., Ltd.", "00:01:9D - E:Control Systems, Inc.", "00:00:B4 - EDIMAX COMPUTER COMPANY", "00:01:77 - EDSL", "00:01:1A - EEH DataLink GmbH", "00:00:33 - EGAN MACHINERY COMPANY", "00:01:58 - Electro Industries/Gauge Tech", "00:01:60 - ELMEX Co., LTD.", "00:00:5B - ELTEC ELEKTRONIK AG", "00:00:97 - EMC Corporation", "00:01:44 - EMC Corporation", "00:00:C9 - EMULEX CORPORATION", "00:01:28 - EnjoyWeb, Inc.", "00:01:4B - Ennovate Networks, Inc.", "00:01:51 - Ensemble Communications", "00:00:C6 - EON SYSTEMS", "00:01:00 - EQUIP'TRANS", "00:01:70 - ESE Embedded System Engineer'g", "00:01:9E - ESS Technology, Inc.", "00:01:7F - Experience Music Project", "00:01:15 - EXTRATECH CORPORATION", "00:01:30 - Extreme Networks", "00:01:18 - EZ Digital Co., Ltd.", "00:00:C5 - FARALLON COMPUTING/NETOPIA", "00:00:0D - FIBRONICS LTD.", "00:01:56 - FIREWIREDIRECT.COM, INC.", "00:00:45 - FORD AEROSPACE & COMM. CORP.", "00:01:6C - FOXCONN", "00:00:0E - FUJITSU LIMITED", "00:01:54 - G3M Corporation", "00:00:F3 - GANDALF DATA LIMITED", "00:00:61 - GATEWAY COMMUNICATIONS", "00:01:A3 - GENESYS LOGIC, INC.", "00:01:50 - GILAT COMMUNICATIONS, LTD.", "00:01:10 - Gotham Networks", "00:00:E1 - GRID SYSTEMS", "00:01:6F - HAITAI ELECTRONICS CO., LTD.", "00:01:93 - Hanbyul Telecom Co., Ltd.", "00:00:C3 - HARRIS CORP COMPUTER SYS DIV", "00:00:CF - HAYES MICROCOMPUTER PRODUCTS", "00:00:DC - HAYES MICROCOMPUTER PRODUCTS", "00:00:70 - HCL LIMITED", "00:01:7B - Heidelberger Druckmaschinen AG", "00:01:99 - HeiSei Electronics", "00:00:59 - HELLIGE GMBH", "00:00:FD - HIGH LEVEL HARDWARE", "00:01:67 - HIOKI E.E. CORPORATION", "00:00:87 - HITACHI, LTD.", "00:00:51 - HOB ELECTRONIC GMBH & CO. KG", "00:00:3B - i Controls, Inc.", "00:01:87 - i2SE GmbH", "00:00:41 - ICE CORPORATION", "00:00:4B - ICL DATA OY", "00:01:11 - iDigm Inc.", "00:00:29 - IMC NETWORKS CORP.", "00:00:E4 - IN2 GROUPE INTERTECHNIQUE", "00:01:A0 - Infinilink Corporation", "00:00:9B - INFORMATION INTERNATIONAL, INC", "00:00:C2 - INFORMATION PRESENTATION TECH.", "00:00:12 - INFORMATION TECHNOLOGY LIMITED", "00:00:8B - INFOTRON", "00:00:E3 - INTEGRATED MICRO PRODUCTS LTD", "00:00:77 - INTERPHASE CORPORATION", "00:00:52 - Intrusion.com, Inc.", "00:00:E9 - ISICAD, INC.", "00:01:37 - IT Farm Corporation", "00:01:5B - ITALTEL S.p.A/RF:UP:I", "00:00:27 - JAPAN RADIO COMPANY", "00:01:9C - JDS Uniphase Inc.", "00:01:14 - KANDA TSUSHIN KOGYO CO., LTD.", "00:01:35 - KDC Corp.", "00:01:8F - Kenetec, Inc.", "00:01:2D - Komodo Technology", "00:00:60 - KONTRON ELEKTRONIK GMBH", "00:00:EF - KTI", "00:01:9B - Kyoto Microcomputer Co., Ltd.", "00:01:33 - KYOWA Electronic Instruments C", "00:00:78 - LABTAM LIMITED", "00:00:82 - LECTRA SYSTEMES SA", "00:01:07 - Leiser GmbH", "00:01:9A - LEUNIG GmbH", "00:01:6B - LightChip, Inc.", "00:00:7F - LINOTYPE:HELL AG", "00:00:9D - LOCUS COMPUTING CORPORATION", "00:00:AB - LOGIC MODELING CORPORATION", "00:01:A2 - Logical Co., Ltd.", "00:00:4F - LOGICRAFT, INC.", "00:01:8E - Logitec Corporation", "00:01:88 - LXCO Technologies ag", "00:00:6F - Madge Ltd.", "00:00:C1 - Madge Ltd.", "00:01:A1 - Mag:Tek, Inc.", "00:00:F1 - MAGNA COMPUTER CORPORATION", "00:00:96 - MARCONI ELECTRONICS LTD.", "00:00:32 - Marconi plc", "00:01:78 - MARGI Systems, Inc.", "00:00:9E - MARLI S.A.", "00:00:A1 - MARQUETTE ELECTRIC CO.", "00:00:0B - MATRIX CORPORATION", "00:00:EB - MATSUSHITA COMM. IND. CO. LTD.", "00:01:0F - McDATA Corporation", "00:00:B9 - MCDONNELL DOUGLAS COMPUTER SYS", "00:01:8C - Mega Vision", "00:00:CE - MEGADATA CORP.", "00:00:86 - MEGAHERTZ CORPORATION", "00:00:FC - MEIKO", "00:01:61 - Meta Machine Technology", "00:00:42 - METIER MANAGEMENT SYSTEMS LTD.", "00:00:43 - MICRO TECHNOLOGY", "00:00:B6 - MICRO:MATIC RESEARCH", "00:00:90 - MICROCOM", "00:00:D5 - MICROGNOSIS INTERNATIONAL", "00:01:A4 - Microlink Corporation", "00:00:EC - MICROPROCESS", "00:00:FA - MICROSAGE COMPUTER SYSTEMS INC", "00:00:72 - MINIWARE TECHNOLOGY", "00:00:BD - MITSUBISHI CABLE COMPANY", "00:00:54 - MODICON, INC.", "00:00:99 - MTX, INC.", "00:01:09 - Nagano Japan Radio Co., Ltd.", "00:00:4C - NEC CORPORATION", "00:01:3F - Neighbor World Co., Ltd.", "00:01:8B - NetLinks Co., Ltd.", "00:00:14 - NETRONIX", "00:01:16 - Netspect Technologies, Inc.", "00:00:A3 - NETWORK APPLICATION TECHNOLOGY", "00:00:A7 - NETWORK COMPUTING DEVICES INC.", "00:00:EE - NETWORK DESIGNERS, LTD.", "00:00:65 - Network General Corporation", "00:00:A6 - NETWORK GENERAL CORPORATION", "00:00:34 - NETWORK RESOURCES CORPORATION", "00:00:A9 - NETWORK SYSTEMS CORP.", "00:00:79 - NETWORTH INCORPORATED", "00:00:0F - NEXT, INC.", "00:01:A5 - Nextcomm, Inc.", "00:00:47 - NICOLET INSTRUMENTS CORP.", "00:00:D9 - NIPPON TELEGRAPH & TELEPHONE", "00:00:11 - NORMEREL SYSTEMES", "00:00:75 - Nortel Networks", "00:01:81 - Nortel Networks", "00:00:1B - NOVELL INC.", "00:00:D8 - NOVELL, INC.", "00:00:AF - NUCLEAR DATA INSTRUMENTATION", "00:00:46 - OLIVETTI NORTH AMERICA", "00:01:13 - OLYMPUS CORPORATION", "00:00:0A - OMRON TATEISI ELECTRONICS CO.", "00:01:27 - OPEN Networks Pty Ltd", "00:01:76 - Orient Silver Enterprises", "00:01:20 - OSCILLOQUARTZ S.A.", "00:00:37 - OXFORD METRICS LIMITED", "00:01:26 - PAC Labs", "00:01:2E - PC Partner Ltd.", "00:01:9F - Phonex Broadband", "00:01:39 - Point Multimedia Systems", "00:01:1E - Precidia Technologies, Inc.", "00:00:6C - PRIVATE", "00:01:01 - PRIVATE", "00:00:28 - PRODIGY SYSTEMS CORPORATION", "00:01:55 - Promise Technology, Inc.", "00:00:93 - PROTEON INC.", "00:00:D6 - PUNCH LINE HOLDING", "00:00:D4 - PURE DATA LTD.", "00:00:31 - QPSX COMMUNICATIONS PTY LTD", "00:00:E0 - QUADRAM CORP.", "00:00:F9 - QUOTRON SYSTEMS INC.", "00:00:58 - RACORE COMPUTER PRODUCTS INC.", "00:01:75 - Radiant Communications Corp.", "00:00:50 - RADISYS CORPORATION", "00:00:25 - RAMTEK CORP.", "00:00:8F - RAYTHEON COMPANY", "00:00:9A - RC COMPUTER A/S", "00:01:1F - RC Networks, Inc.", "00:00:FB - RECHNER ZUR KOMMUNIKATION", "00:01:89 - Refraction Technology, Inc.", "00:00:7B - RESEARCH MACHINES", "00:00:74 - RICOH COMPANY LTD.", "00:01:3D - RiscStation Ltd.", "00:00:B0 - RND:RAD NETWORK DEVICES", "00:00:BC - Rockwell Automation", "00:01:8A - ROI COMPUTER AG", "00:00:9C - ROLM MIL:SPEC COMPUTERS", "00:00:68 - ROSEMOUNT CONTROLS", "00:01:19 - RTUnet (Australia)", "00:01:59 - S1 Corporation", "00:00:F0 - SAMSUNG ELECTRONICS CO., LTD.", "00:00:A0 - SANYO Electric Co., Ltd.", "00:00:D2 - SBE, INC.", "00:01:A6 - Scientific:Atlanta Arcodan A/S", "00:00:57 - SCITEX CORPORATION LTD.", "00:00:48 - SEIKO EPSON CORPORATION", "00:00:B8 - SEIKOSHA CO., LTD.", "00:01:95 - Sena Technologies, Inc.", "00:01:40 - Sendtek Corporation", "00:00:26 - SHA:KEN CO., LTD.", "00:01:12 - Shark Multimedia Inc.", "00:01:3A - SHELCAD COMMUNICATIONS, LTD.", "00:01:4D - Shin Kin Enterprises Co., Ltd", "00:01:84 - SIEB & MEYER AG", "00:00:73 - SIECOR CORPORATION", "00:01:34 - SIG Positec Systems AG", "00:00:E5 - SIGMEX LTD.", "00:00:BA - SIIG, INC.", "00:00:6B - SILICON GRAPHICS INC./MIPS", "00:00:3E - SIMPACT", "00:01:90 - SMK:M", "00:00:2E - SOCIETE EVIRA", "00:00:67 - SOFT * RITE, INC.", "00:00:8E - SOLBOURNE COMPUTER, INC.", "00:01:4A - Sony Corporation", "00:00:95 - SONY TEKTRONIX CORP.", "00:01:0B - Space CyberLink, Inc.", "00:00:35 - SPECTRAGRAPHICS CORPORATION", "00:00:F2 - SPIDER COMMUNICATIONS", "00:00:E7 - STAR GATE TECHNOLOGIES", "00:00:A8 - STRATUS COMPUTER INC.", "00:00:5F - SUMITOMO ELECTRIC IND., LTD.", "00:01:5D - Sun Microsystems, Inc", "00:00:7D - SUN MICROSYSTEMS, INC.", "00:00:84 - SUPERNET", "00:00:21 - SUREMAN COMP. & COMMUN. CORP.", "00:00:BF - SYMMETRIC COMPUTER SYSTEMS", "00:00:3F - SYNTREX, INC.", "00:01:91 - SYRED Data Systems", "00:00:5A - SysKonnect GmbH", "00:01:0C - System Talks Inc.", "00:01:57 - SYSWAVE CO., LTD", "00:00:10 - SYTEK INC.", "00:01:49 - T.D.T. Transfer Data Test GmbH", "00:00:83 - TADPOLE TECHNOLOGY PLC", "00:00:66 - TALARIS SYSTEMS, INC.", "00:01:66 - TC GROUP A/S", "00:00:DD - TCL INCORPORATED", "00:01:72 - TechnoLand Co., LTD.", "00:00:17 - TEKELEC", "00:00:1F - Telco Systems, Inc.", "00:01:2A - Telematica Sistems Inteligente", "00:00:5C - TELEMATICS INTERNATIONAL INC.", "00:01:2B - TELENET Co., Ltd.", "00:00:B2 - TELEVIDEO SYSTEMS, INC.", "00:00:1E - TELSIST INDUSTRIA ELECTRONICA", "00:01:46 - Tesco Controls, Inc.", "00:01:06 - Tews Datentechnik GmbH", "00:01:92 - Texas Digital Systems", "00:00:BE - THE NTI GROUP", "00:01:7D - ThermoQuest", "00:00:2F - TIMEPLEX INC.", "00:01:3C - TIW SYSTEMS", "00:00:39 - TOSHIBA CORPORATION", "00:01:22 - Trend Communications, Ltd.", "00:00:BB - TRI:DATA", "00:00:2A - TRW : SEDD/INP", "00:01:2F - Twinhead International Corp", "00:01:A7 - UNEX TECHNOLOGY CORPORATION", "00:00:3D - UNISYS", "00:01:1C - Universal Talkware Corporation", "00:01:1B - Unizone Technologies, Inc.", "00:00:EA - UPNOD AB", "00:00:5E - USC INFORMATION SCIENCES INST", "00:01:86 - Uwe Disch", "00:00:30 - VG LABORATORY SYSTEMS LTD", "00:00:22 - VISUAL TECHNOLOGY INC.", "00:01:68 - VITANA CORPORATION", "00:00:D3 - WANG LABORATORIES INC.", "00:01:21 - Watchguard Technologies, Inc.", "00:00:C4 - WATERS DIV. OF MILLIPORE", "00:00:18 - WEBSTER COMPUTER CORPORATION", "00:01:A8 - Welltech Computer Co., Ltd.", "00:00:C0 - WESTERN DIGITAL CORPORATION", "00:01:4E - WIN Enterprises, Inc.", "00:01:45 - WINSYSTEMS, INC.", "00:01:79 - WIRELESS TECHNOLOGY, INC.", "00:01:48 - X:traWeb Inc.", "00:01:38 - XAVi Technologies Corp.", "00:00:00 - XEROX CORPORATION", "00:00:01 - XEROX CORPORATION", "00:00:02 - XEROX CORPORATION", "00:00:03 - XEROX CORPORATION", "00:00:04 - XEROX CORPORATION", "00:00:05 - XEROX CORPORATION", "00:00:06 - XEROX CORPORATION", "00:00:07 - XEROX CORPORATION", "00:00:08 - XEROX CORPORATION", "00:00:09 - XEROX CORPORATION", "00:00:AA - XEROX CORPORATION", "00:01:25 - YAESU MUSEN CO., LTD.", "00:00:64 - YOKOGAWA DIGITAL COMPUTER CORP", "00:00:F7 - YOUTH KEEP ENTERPRISE CO LTD", "00:01:47 - Zhone Technologies"};

	JComboBox aVendor = new JComboBox(vendorIDalpha);
	JComboBox eVendor = new JComboBox(vendorIDalpha);


	public void mouseClicked(MouseEvent e)
		{
	    JComponent c = (JComponent) e.getSource();
		if (c == aCurMacAddVal)
			{
			aNewMacAddVal.setText(aCurMacAddVal.getText().substring(0,aCurMacAddVal.getText().length()-1));
			}
		else if (c == aHwMacAddVal)
			{
			aNewMacAddVal.setText(aHwMacAddVal.getText().substring(0,aHwMacAddVal.getText().length()-1));
			}		
		else if (c == eCurMacAddVal)
			{
			eNewMacAddVal.setText(eCurMacAddVal.getText().substring(0,eCurMacAddVal.getText().length()-1));
			}
		else if (c == eHwMacAddVal)
			{
			eNewMacAddVal.setText(eHwMacAddVal.getText().substring(0,eHwMacAddVal.getText().length()-1));
			}
		repaint();
		}


 public void 	mouseEntered(MouseEvent e)
        {}
 public  void 	mouseExited(MouseEvent e)
          {}
  public void 	mousePressed(MouseEvent e)
          {}
 public  void 	mouseReleased(MouseEvent e) 
		{}

	public void actionPerformed(ActionEvent e)
		{
	    JComponent c = (JComponent) e.getSource();
		if(c == aSet)
			{
			setTitle("ChangeMAC");
			execute("./ChangeMAC.app/Contents/Resources/setA.sh",aInterface.getText(), aNewMacAddVal.getText());
			try{Thread.sleep(3000);}catch(Exception ex){ex.printStackTrace();}
			getAirport(true);
			}
		if(c == eSet)
			{
			setTitle("ChangeMAC");
			String etherInterface;
			if(eInterface instanceof JLabel)
				{etherInterface = ((JLabel)eInterface).getText();}
				else{etherInterface = (String)((JComboBox)eInterface).getSelectedItem();}

			execute("./ChangeMAC.app/Contents/Resources/setE.sh", etherInterface, eNewMacAddVal.getText());
			try{Thread.sleep(3000);}catch(Exception ex){ex.printStackTrace();}
			getEthernet(true);
			}
		if(c == aGenerate)
			{
			aNewMacAddVal.setText(randomMacAdd(true));
			}
		if (c == eGenerate)
			{
			eNewMacAddVal.setText(randomMacAdd(false));
			}
			
		if (c == eInterface)
			{
			eHwMacAddVal.setText(eHwMacAddVals[((JComboBox)c).getSelectedIndex()] + " ");
			eCurMacAddVal.setText(eCurMacAddVals[((JComboBox)c).getSelectedIndex()] + " ");
			
			}
			
		repaint();
		}
    
	
	public boolean execute(String command, String en, String mac)
		{
		try{
			String [] cmd = new String[3];
			cmd[0]=command;
			cmd[1]=en;
			cmd[2]=mac;
						
			Process p = Runtime.getRuntime().exec(cmd);
			p.waitFor();
			}
			catch(Exception ex){ex.printStackTrace();}
		return false;
		}
	
	public String randomMacAdd(boolean airport)
		{
		StringBuffer str = new StringBuffer();
		Random ran = new Random(System.currentTimeMillis());
		char[] hexChar = {'0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f'};
		
		int remainder=0;
		
		JComboBox vendor;
		
		if(airport)
			{vendor = aVendor;}
			else{vendor = eVendor;}
			
		if(vendor.getSelectedIndex()==0)
			{
			str.append("00:");
			remainder=11;
			}
			else{
				str.append(((String)(vendor.getSelectedItem())).substring(0,8)+":");
				remainder=7;
				}
			
		for(int i=1 ; i<remainder ; i++)
			{
			str.append(hexChar[ran.nextInt(hexChar.length)]);
			
			if ((i % 2 == 0) && i!=remainder-1)
				{str.append(':');}
				
			}
		return str.toString();
		}


	public Vector toVector(String[] strAr)
		{
		Vector v = new Vector();
		
		for(int i=0;  i<strAr.length ; i++)
			{
			v.add(strAr[i]);
			}
		return v;
		}


public static String slurp (InputStream in) throws IOException {
    StringBuffer out = new StringBuffer();
    byte[] b = new byte[4096];
    for (int n; (n = in.read(b)) != -1;) {
        out.append(new String(b, 0, n));
    }
    return out.toString();
}





	public void response(boolean failure)
		{
		if(failure)
			{
			setTitle("         ChangeMAC - failed");
			}
			else{
				setTitle("          ChangeMAC - success");
				System.out.println("prefs.quit = " + prefs.quit);
				if(prefs.quit)
					{System.exit(0);}
				}
		}



	public void getAirport(boolean updated)
		{
		try {
			Process proc = Runtime.getRuntime().exec(new String[]{"./ChangeMAC.app/Contents/Resources/getAirport.sh"});
			InputStream stdout = proc.getInputStream();
			String cur = slurp(stdout);
			//System.out.println(cur);

			
			aInterface.setText(cur.substring(0,3) + " ");
			aHwMacAddVal.setText(cur.substring(4,21) + " ");
			String curMacAddVal = cur.substring(22,cur.length()-1) + " ";
			//if(updated)
			//	{response(aCurMacAddVal.getText().equals(curMacAddVal));}
			System.out.println("aCurMacAddVal.getText() = " + aCurMacAddVal.getText());
			System.out.println("curMacAddVal = " + curMacAddVal);
			System.out.println(aCurMacAddVal.getText().equals(curMacAddVal));
			aCurMacAddVal.setText(curMacAddVal);
			}
			catch(Exception e){e.printStackTrace();}
		}


	public void getEthernet(boolean updated)
		{
		try {
			Process proc = Runtime.getRuntime().exec(new String[]{"./ChangeMAC.app/Contents/Resources/getEthernet.sh"});
			InputStream stdout = proc.getInputStream();
			String cur = slurp(stdout);
			
			eInterfaces = new String[(cur.length()/40)];
			eHwMacAddVals = new String[(cur.length()/40)];
			eCurMacAddVals = new String[(cur.length()/40)];
			
			for(int i=0 ; i<eInterfaces.length ; i++)
				{
				eInterfaces[i] = cur.substring((40*i) + 0, (40*i) + 3);
				eHwMacAddVals[i] = cur.substring((40*i) + 4, (40*i) + 21);
				eCurMacAddVals[i] = cur.substring((40*i) + 22, (40*i) + 39); 
				}

			if(eInterfaces.length>1)
				{
				eInterface = new JComboBox(eInterfaces);
				((JComboBox)eInterface).addActionListener(this);
				}
				else{
					eInterface = new JLabel(eInterfaces[0] + " ");
					}
				
			eHwMacAddVal.setText(eHwMacAddVals[0] + " ");
			eCurMacAddVal.setText(eCurMacAddVals[0] + " ");
			}
			catch(Exception e){e.printStackTrace();}
		}



	public ChangeMAC() {		
		super("");
		aSet.addActionListener(this);
		aSet.setSelected(true);
		aGenerate.addActionListener(this);
		aCurMacAddVal.setToolTipText("click to use this address");
		aCurMacAddVal.addMouseListener(this);
		aHwMacAddVal.setToolTipText("click to use this address");
		aHwMacAddVal.addMouseListener(this);
		aNewMacAddVal.setHorizontalAlignment(JTextField.RIGHT);

		eSet.addActionListener(this);
		eSet.setSelected(true);
		eGenerate.addActionListener(this);
		eCurMacAddVal.setToolTipText("click to use this address");
		eCurMacAddVal.addMouseListener(this);
		eHwMacAddVal.setToolTipText("click to use this address");
		eHwMacAddVal.addMouseListener(this);
		eNewMacAddVal.setHorizontalAlignment(JTextField.RIGHT);
		setResizable(false);

		aVendor.setPrototypeDisplayValue("ABC");
		eVendor.setPrototypeDisplayValue("ABC");
		
		getAirport(false);
		getEthernet(false);
		
		resbundle = ResourceBundle.getBundle ("strings", Locale.getDefault());
		setTitle(resbundle.getString("frameConstructor"));
		this.getContentPane().setLayout(null);
		
		createActions();
		addMenus();

		fApplication.setEnabledPreferencesMenu(true);
		fApplication.addApplicationListener(new com.apple.eawt.ApplicationAdapter() {
			public void handleAbout(ApplicationEvent e) {
                                if (aboutBox == null) {
                                    aboutBox = new AboutBox();
                                }
                                about(e);
                                e.setHandled(true);
			}
			public void handleOpenApplication(ApplicationEvent e) {
			}
			public void handleOpenFile(ApplicationEvent e) {
			}
			public void handlePreferences(ApplicationEvent e) {
                                if (prefs == null) {
                                    prefs = new PrefPane();
                                }
				preferences(e);
			}
			public void handlePrintFile(ApplicationEvent e) {
			}
			public void handleQuit(ApplicationEvent e) {
				quit(e);
			}
		});

	
	    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
		setTitle("ChangeMAC");

		
		aHwMacAddVal.setBackground(Color.lightGray);
		aCurMacAddVal.setBackground(Color.lightGray);

        org.jdesktop.layout.GroupLayout wirelessLayout = new org.jdesktop.layout.GroupLayout(wireless);
        wireless.setLayout(wirelessLayout);
		
        wirelessLayout.setHorizontalGroup(
            wirelessLayout.createParallelGroup()
            .add(wirelessLayout.createSequentialGroup()
                .add(wirelessLayout.createParallelGroup()
                    .add(wirelessLayout.createSequentialGroup()
                        .add(wirelessLayout.createParallelGroup(TRAILING)
                            .add(aInterface, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                            .add(aHwMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                            .add(aCurMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                            .add(aNewMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
							)
                        .addPreferredGap(RELATED)
                        .add(wirelessLayout.createParallelGroup(LEADING)
                            .add(aNetInterface)
                            .add(aHwMacAdd)
                            .add(aCurMacAdd)
							.add(aNewMacAdd)
							)
						)
                    .add(wirelessLayout.createParallelGroup()
                        .add(aVendor)
                        .add(wirelessLayout.createSequentialGroup()
                            .add(aGenerate)
                            .addPreferredGap(RELATED)
                            .add(aSet))))
           )
        );
		

        wirelessLayout.setVerticalGroup(
            wirelessLayout.createParallelGroup(LEADING)
            .add(wirelessLayout.createSequentialGroup()
                .add(wirelessLayout.createParallelGroup(BASELINE)
                    .add(aInterface, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(aNetInterface))
                .addPreferredGap(RELATED)
                .add(wirelessLayout.createParallelGroup(BASELINE)
                    .add(aHwMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(aHwMacAdd))
					.addPreferredGap(RELATED)
                .add(wirelessLayout.createParallelGroup(BASELINE)
                    .add(aCurMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(aCurMacAdd))
					.addPreferredGap(RELATED)
                .add(wirelessLayout.createParallelGroup(BASELINE)
                    .add(aNewMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(aNewMacAdd))
					.addPreferredGap(RELATED)
                .add(aVendor, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
					.addPreferredGap(RELATED)
                .add(wirelessLayout.createParallelGroup(BASELINE)
                    .add(aGenerate)
                    .add(aSet))
				.addPreferredGap(RELATED)
		  )
        );        

        tabbedPane.addTab("Airport (wireless)", wireless);


        org.jdesktop.layout.GroupLayout wiredLayout = new org.jdesktop.layout.GroupLayout(wired);
        wired.setLayout(wiredLayout);
		
        wiredLayout.setHorizontalGroup(
            wiredLayout.createParallelGroup()
            .add(wiredLayout.createSequentialGroup()
                .add(wiredLayout.createParallelGroup()
                    .add(wiredLayout.createSequentialGroup()
                        .add(wiredLayout.createParallelGroup(TRAILING)
                            .add(eInterface, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                            .add(eHwMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                            .add(eCurMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                            .add(eNewMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
							)
                        .addPreferredGap(RELATED)
                        .add(wiredLayout.createParallelGroup(LEADING)
                            .add(eNetInterface)
                            .add(eHwMacAdd)
                            .add(eCurMacAdd)
							.add(eNewMacAdd)
							)
						)
                    .add(wiredLayout.createParallelGroup()
                        .add(eVendor)
                        .add(wiredLayout.createSequentialGroup()
                            .add(eGenerate)
                            .addPreferredGap(RELATED)
                            .add(eSet))))
           )
        );


        wiredLayout.setVerticalGroup(
            wiredLayout.createParallelGroup(LEADING)
            .add(wiredLayout.createSequentialGroup()
                .add(wiredLayout.createParallelGroup(BASELINE)
                    .add(eInterface, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(eNetInterface))
                .addPreferredGap(RELATED)
                .add(wiredLayout.createParallelGroup(BASELINE)
                    .add(eHwMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(eHwMacAdd))
					.addPreferredGap(RELATED)
                .add(wiredLayout.createParallelGroup(BASELINE)
                    .add(eCurMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(eCurMacAdd))
					.addPreferredGap(RELATED)
                .add(wiredLayout.createParallelGroup(BASELINE)
                    .add(eNewMacAddVal, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
                    .add(eNewMacAdd))
					.addPreferredGap(RELATED)
                .add(eVendor, PREFERRED_SIZE, DEFAULT_SIZE, PREFERRED_SIZE)
					.addPreferredGap(RELATED)
                .add(wiredLayout.createParallelGroup(BASELINE)
                    .add(eGenerate)
                    .add(eSet))
				.addPreferredGap(RELATED)
		  )
        );        
		
        tabbedPane.addTab("Ethernet (wired)", wired);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(LEADING)
            .add(TRAILING, tabbedPane) //, DEFAULT_SIZE, 350, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(LEADING)
            .add(TRAILING, tabbedPane) //, DEFAULT_SIZE, 250, Short.MAX_VALUE)
        );
        pack();
		setSize(325, getHeight());
		center(this);
		setVisible(true);
    }
  


	public static void center(JFrame frame) {
        GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
        Point center = ge.getCenterPoint();
        Rectangle bounds = ge.getMaximumWindowBounds();
        int w = Math.max(frame.getWidth()/2, Math.min(frame.getWidth(), bounds.width));
        int h = Math.max(frame.getHeight()/2, Math.min(frame.getHeight(), bounds.height));
        int x = center.x - w/2, y = (center.y - h)/2;
        frame.setBounds(x, y, w, h);
        if (w == bounds.width && h == bounds.height)
            frame.setExtendedState(Frame.MAXIMIZED_BOTH);
        frame.validate();
    }


	public void about(ApplicationEvent e) {
		aboutBox.setResizable(false);
		aboutBox.setVisible(true);
	}

	public void preferences(ApplicationEvent e) {
		prefs.setResizable(false);
		prefs.setVisible(true);
	}

	public void quit(ApplicationEvent e) {	
		System.exit(0);
	}

	public void createActions() {
		int shortcutKeyMask = Toolkit.getDefaultToolkit().getMenuShortcutKeyMask();

		//Create actions that can be used by menus, buttons, toolbars, etc.
		newAction = new newActionClass( resbundle.getString("newItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_N, shortcutKeyMask) );
		openAction = new openActionClass( resbundle.getString("openItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_O, shortcutKeyMask) );
		closeAction = new closeActionClass( resbundle.getString("closeItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_W, shortcutKeyMask) );
		saveAction = new saveActionClass( resbundle.getString("saveItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_S, shortcutKeyMask) );
		saveAsAction = new saveAsActionClass( resbundle.getString("saveAsItem") );

		undoAction = new undoActionClass( resbundle.getString("undoItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_Z, shortcutKeyMask) );
		cutAction = new cutActionClass( resbundle.getString("cutItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_X, shortcutKeyMask) );
		copyAction = new copyActionClass( resbundle.getString("copyItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_C, shortcutKeyMask) );
		pasteAction = new pasteActionClass( resbundle.getString("pasteItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_V, shortcutKeyMask) );
		clearAction = new clearActionClass( resbundle.getString("clearItem") );
		selectAllAction = new selectAllActionClass( resbundle.getString("selectAllItem"),
											KeyStroke.getKeyStroke(KeyEvent.VK_A, shortcutKeyMask) );
	}
	
	public void addMenus() {

		fileMenu = new JMenu(resbundle.getString("fileMenu"));
		fileMenu.add(new JMenuItem(newAction));
		fileMenu.add(new JMenuItem(openAction));
		fileMenu.add(new JMenuItem(closeAction));
		fileMenu.add(new JMenuItem(saveAction));
		fileMenu.add(new JMenuItem(saveAsAction));
		mainMenuBar.add(fileMenu);

		editMenu = new JMenu(resbundle.getString("editMenu"));
		editMenu.add(new JMenuItem(undoAction));
		editMenu.addSeparator();
		editMenu.add(new JMenuItem(cutAction));
		editMenu.add(new JMenuItem(copyAction));
		editMenu.add(new JMenuItem(pasteAction));
		editMenu.add(new JMenuItem(clearAction));
		editMenu.addSeparator();
		editMenu.add(new JMenuItem(selectAllAction));
		mainMenuBar.add(editMenu);
	}

	public void paint(Graphics g) {
		super.paint(g);
		g.setColor(Color.blue);
		g.setFont (font);
		g.drawString(resbundle.getString("message"), 40, 80);
	}
	
	public class newActionClass extends AbstractAction {
		public newActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("New...");
		}
	}

	public class openActionClass extends AbstractAction {
		public openActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Open...");
		}
	}
	
	public class closeActionClass extends AbstractAction {
		public closeActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Close...");
		}
	}
	
	public class saveActionClass extends AbstractAction {
		public saveActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Save...");
		}
	}
	
	public class saveAsActionClass extends AbstractAction {
		public saveAsActionClass(String text) {
			super(text);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Save As...");
		}
	}
	
	public class undoActionClass extends AbstractAction {
		public undoActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Undo...");
		}
	}
	
	public class cutActionClass extends AbstractAction {
		public cutActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Cut...");
		}
	}
	
	public class copyActionClass extends AbstractAction {
		public copyActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Copy...");
		}
	}
	
	public class pasteActionClass extends AbstractAction {
		public pasteActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Paste...");
		}
	}
	
	public class clearActionClass extends AbstractAction {
		public clearActionClass(String text) {
			super(text);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Clear...");
		}
	}
	
	public class selectAllActionClass extends AbstractAction {
		public selectAllActionClass(String text, KeyStroke shortcut) {
			super(text);
			putValue(ACCELERATOR_KEY, shortcut);
		}
		public void actionPerformed(ActionEvent e) {
			System.out.println("Select All...");
		}
	}
	
	 public static void main(String args[]) {
		new ChangeMAC();
	 }

}